# STELAR Spatiotemporal Data Processing Package

This package is part of the EU STELAR project and provides tools for processing spatiotemporal data. The package includes functionality for field delineation (i.e., segmentation) of satellite images, extracting LAI timseries out of the images, and interpolating cloud covers, among others.

## Installation

To install the package, simply run:
```
pip install git+https://github.com/stelar-eu/STELAR_spatiotemporal.git@master
```

## Usage

To use the package, import it in your Python code:

```python
import stelar_spatiotemporal
```
Then, you can use the various functions provided by the package to process your spatiotemporal data.

## Contributing
If you would like to contribute to the package, please see the CONTRIBUTING.md file for guidelines.

## License
This package is licensed under the MIT License. See the LICENSE file for details.

## Contact
If you have any questions, please contact [Jens D'hondt](mailto:j.e.d.hondt@tue.nl).

## Contributors
- Jens d'Hondt (Eindhoven University of Technology)
- Giorgos Chatzigeorgakidis (Athena Research Center)
- Christoph Joerges (VISTA GmbH)
